2017-07-24 06:29 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001684openmediavaultBugpublic2017-03-02 17:42
ReporterSVS 
Assigned Tovotdev 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platform3.0.64OSOS Version
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001684: Erasmus USB Backup Plugin 3.2.14: Run command from web ui does not work
DescriptionCannot run backup jobs from GUI. After pressing start get the error:

Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export SHELL=/bin/sh; sudo --shell --non-interactive -- /var/lib/openmediavault/usbbackup.d/openmediavault-usbbackup-f89721c8740dd6a08ed1167c2d8bc37c 2>&1': /bin/sh: 1: /var/lib/openmediavault/usbbackup.d/openmediavault-usbbackup-f89721c8740dd6a08ed1167c2d8bc37c: not found

Error #0:
exception 'OMV\ExecException' with message 'Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export SHELL=/bin/sh; sudo --shell --non-interactive -- /var/lib/openmediavault/usbbackup.d/openmediavault-usbbackup-f89721c8740dd6a08ed1167c2d8bc37c 2>&1': /bin/sh: 1: /var/lib/openmediavault/usbbackup.d/openmediavault-usbbackup-f89721c8740dd6a08ed1167c2d8bc37c: not found' in /usr/share/openmediavault/engined/rpc/usbbackup.inc:251
Stack trace:
#0 /usr/share/php/openmediavault/rpc/serviceabstract.inc(528): OMVRpcServiceUsbBackup->{closure}('/tmp/bgstatusum...', '/tmp/bgoutputmv...')
#1 /usr/share/openmediavault/engined/rpc/usbbackup.inc(253): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))
0000002 [internal function]: OMVRpcServiceUsbBackup->execute(Array, Array)
0000003 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array)
0000004 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('execute', Array, Array)
0000005 /usr/sbin/omv-engined(522): OMV\Rpc\Rpc::call('UsbBackup', 'execute', Array, Array, 1)
0000006 {main}
Additional InformationUsing Debian backports repo.
rsync version is 3.1.1-3 (same as stable)

Deleting and recreating jobs does not help.
TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0004594

SVS (reporter)

The files located in /var/lib/openmediavault/usbbackup.d/
are all named "rsync-UUID".

~0004598

votdev (administrator)

You mean the files look like rsync-cbef6442-fcc2-11e6-951b-3f192fb1313f?

Try to execute

$ omv-mkconf usbbackup

to recreate the config files. Does it still happen?

~0004599

SVS (reporter)

Yes, all files are named like rsync-cbef6442-fcc2-11e6-951b-3f192fb1313f
after executing
$ omv-mkconf usbbackup
there is no change in the file names.
Also trying to create new "jobs" will still create files named like rsync-UUID

I have also tried to uninstall and reinstall the plugin but it did not help.

~0004600

votdev (administrator)

Please execute the following command and post the output here.

$ omv-confdbadm read "conf.service.usbbackup.job"

~0004601

SVS (reporter)

$ omv-confdbadm read "conf.service.usbbackup.job"

[{"usesubdir": true, "uuid": "27b7af8a-b6c5-4f07-be1e-91a2b7c2a0d1", "delete": false, "mode": "push", "compress": false, "quiet": false, "acls": false, "comment": "None", "enable": false, "partial": false, "sendemail": false, "xattrs": false, "perms": true, "times": true, "archive": true, "sharedfolderref": "2fbe5d32-7bc7-4d04-a9ff-0a715afcdbe4", "extraoptions": "None", "recursive": true, "devicefile": "/dev/disk/by-id/usb-JMicron_Generic_74D7D3300510871-0:0-part1"}, {"usesubdir": true, "uuid": "42394bc8-31db-4bb2-a762-d6226443a055", "delete": false, "mode": "push", "compress": false, "quiet": false, "acls": false, "comment": "None", "enable": false, "partial": false, "sendemail": false, "xattrs": false, "perms": true, "times": true, "archive": true, "sharedfolderref": "53eace77-1e47-4948-91ed-7e4aaf1a9bc7", "extraoptions": "None", "recursive": true, "devicefile": "/dev/disk/by-id/usb-JMicron_Generic_74D7D3300510871-0:0-part1"}, {"usesubdir": true, "uuid": "acd4684b-8b4a-424f-b8a3-a142795f66e0", "delete": false, "mode": "push", "compress": false, "quiet": false, "acls": false, "comment": "None", "enable": false, "partial": false, "sendemail": false, "xattrs": false, "perms": true, "times": true, "archive": true, "sharedfolderref": "c0c71d19-9dfb-4287-ad40-00744bb34231", "extraoptions": "None", "recursive": true, "devicefile": "/dev/disk/by-id/usb-JMicron_Generic_74D7D3300510871-0:0-part1"}, {"usesubdir": true, "uuid": "3550e212-ce59-4a9c-9d12-0b0e9fa505da", "delete": false, "mode": "push", "compress": false, "quiet": false, "acls": false, "comment": "None", "enable": false, "partial": false, "sendemail": false, "xattrs": false, "perms": true, "times": true, "archive": true, "sharedfolderref": "0004b945-6746-43a3-86e7-fbbb6aece26f", "extraoptions": "None", "recursive": true, "devicefile": "/dev/disk/by-id/usb-JMicron_Generic_74D7D3300510871-0:0-part1"}]

~0004602

SVS (reporter)

Multiple backup jobs configured and none of them work.

~0004603

votdev (administrator)

The jobs must be enabled to execute them via WebUI, otherwise the required shell scripts are not created. Sadly it is not possible to workaround this.

Fixed in openmediavault-usbbackup 3.2.15, see https://github.com/openmediavault/openmediavault/commit/38d9edb3577d405d33dee3ae3e85198630384928.

~0004610

votdev (administrator)

With https://github.com/openmediavault/openmediavault/commit/17088e558dd9b334de0fb052ffc639094b92cfb3 disabled jobs can be executed, too.
+Notes

-Issue History
Date Modified Username Field Change
2017-02-26 12:09 SVS New Issue
2017-02-26 12:09 SVS Status new => assigned
2017-02-26 12:09 SVS Assigned To => votdev
2017-02-26 12:36 SVS Note Added: 0004594
2017-02-27 09:04 votdev Note Added: 0004598
2017-02-27 19:05 SVS Note Added: 0004599
2017-02-27 23:09 votdev Note Added: 0004600
2017-02-28 18:44 SVS Note Added: 0004601
2017-02-28 18:46 SVS Note Added: 0004602
2017-02-28 20:53 votdev Note Added: 0004603
2017-02-28 20:54 votdev Status assigned => resolved
2017-02-28 20:54 votdev Resolution open => fixed
2017-02-28 20:54 votdev Fixed in Version => Erasmus (3.x)
2017-03-02 17:42 votdev Note Added: 0004610
+Issue History